as-table-actions {
    display: inline-block;
    position: relative;
}

as-table-actions button.btn {
    display: flex;
    justify-content: center;
    gap: var(--as-space-s);
    padding-inline: var(--as-space-s);
    anchor-name: --table-actions;
}

as-table-actions dialog[open] {
    position: absolute;
    z-index: var(--as-index-modal);
    border: unset;
    background-color: Canvas;
    box-shadow: 0 0 5px #00000022;
    padding-block: var(--as-space-xs);
    padding-inline: var(--as-space-xs);
    border-radius: var(--as-border-radius);
    gap: var(--as-space-xs);
    display: flex;
    flex-direction: column;
    position-anchor: --table-actions;
    bottom: calc(anchor(bottom) - var(--as-space-xs));
    left: calc(anchor(right) + var(--as-space-xs));
    position-try: flip-block flip-inline;
}